Fortran support for ninja

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Fortran support for ninja

Deij-van Rijswijk, Menno

Hello,


Today I was trying to use the Ninja generator for CMake on a project containing Fortran and C++ source files. I got the error that ninja is not supported with CMake unless a special version of ninja is used that supports fortran. 


I got the source for this version from https://github.com/Kitware/ninja , built it and put the resulting binary in the PATH.


I keep getting the error that ninja is not supported, and for some reason it insists that the ninja version is 1.7.2, while the version installed is 1.9.0.


How is this supposed to work? What am I doing wrong?


Thanks for your insight and taking time to help me out.


All the best,


Menno 


dr. ir. Menno A. Deij-van Rijswijk | Researcher | Research & Development
MARIN | T +31 317 49 35 06 | [hidden email] | www.marin.nl

LinkedIn YouTube Twitter Facebook
MARIN news: 25th HISWA International Symposium, November 12 & 13


--

Powered by www.kitware.com

Please keep messages on-topic and check the CMake FAQ at: http://www.cmake.org/Wiki/CMake_FAQ

Kitware offers various services to support the CMake community. For more information on each offering, please visit:

CMake Support: http://cmake.org/cmake/help/support.html
CMake Consulting: http://cmake.org/cmake/help/consulting.html
CMake Training Courses: http://cmake.org/cmake/help/training.html

Visit other Kitware open-source projects at http://www.kitware.com/opensource/opensource.html

Follow this link to subscribe/unsubscribe:
https://cmake.org/mailman/listinfo/cmake
Reply | Threaded
Open this post in threaded view
|

Re: Fortran support for ninja

Kyle Edwards
On Wed, 2019-08-07 at 18:10 +0000, Deij-van Rijswijk, Menno wrote:

> Hello,
>
> Today I was trying to use the Ninja generator for CMake on a project
> containing Fortran and C++ source files. I got the error that ninja
> is not supported with CMake unless a special version of ninja is used
> that supports fortran. 
>
> I got the source for this version from https://github.com/Kitware/nin
> ja , built it and put the resulting binary in the PATH.
>
> I keep getting the error that ninja is not supported, and for some
> reason it insists that the ninja version is 1.7.2, while the version
> installed is 1.9.0.

It sounds like it's finding another Ninja installed elsewhere on the
system. Please try the following to see which Ninja CMake is finding:

$ grep CMAKE_MAKE_PROGRAM:FILEPATH= CMakeCache.txt

Kyle
--

Powered by www.kitware.com

Please keep messages on-topic and check the CMake FAQ at: http://www.cmake.org/Wiki/CMake_FAQ

Kitware offers various services to support the CMake community. For more information on each offering, please visit:

CMake Support: http://cmake.org/cmake/help/support.html
CMake Consulting: http://cmake.org/cmake/help/consulting.html
CMake Training Courses: http://cmake.org/cmake/help/training.html

Visit other Kitware open-source projects at http://www.kitware.com/opensource/opensource.html

Follow this link to subscribe/unsubscribe:
https://cmake.org/mailman/listinfo/cmake